## olympus-0.5.tar.gz

=== docs/templates/Makefile ===
## Makefile for Olympus Plugin Template 
##
## Copyright (c) 2000 Mount Linux Inc.
## Licensed under the terms of the GPL or BSD ( refer to source code )

include ../../src/Make.rules

OBJECTS = mod_template.o
OBJSMOC = moc_mod_template.o
SRCSMOC = $(OBJSMOC:%.o=%.cc)
CPPFLAGS= $(G_CPPFLAGS) -I../../src/client/include -I../../src/client/netmessages/include \
          -I../../src/common/include -I../../src/common/crypto/include \
          -I../../src/common/GNU/dlc $(QT_INCLUDES)
CXXFLAGS= $(G_CXXFLAGS) -s -O2 -fPIC
DEFS    = $(G_DEFS)
LDFLAGS = -shared -Xlinker -E
TARGET  = mod_template.so

.PHONY: all all-recursive clean clean-recursive distclean distclean-recursive \
        install install-recursive

## Build Targets
all: all-recursive

all-recursive: $(TARGET)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -o $@ $<

moc: $(SRCSMOC)

$(TARGET): $(SRCSMOC) $(OBJSMOC) $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(OBJSMOC) $(LIBS)

## Installation Targets
install:
	@( cd .. && $(MAKE) $(MFLAGS) install )

install-recursive:
	$(INSTALL_MODULE) $(TARGET) $(DESTDIR)$(plugindir)/$(TARGET)

## Clean Targets
clean clean-recursive distclean-recursive:
	rm -f $(OBJECTS) $(SRCSMOC) $(OBJSMOC) $(TARGET)

distclean:
	@( cd .. && $(MAKE) $(MFLAGS) distclean )

## Qt Meta Object Code generated by moc
$(SRCSMOC): $(SRCSMOC:moc_%.cc=%.h)
	$(MOC) $(@:moc_%.cc=%.h) -o $@

## Dependencies
$(OBJECTS) $(OBJSMOC): ../../src/client/Makefile ../../src/Make.rules ../../src/common/include/config.h

mod_template.o: mod_template.cc mod_template.h ../../src/common/include/netmessage.h \
                ../../src/common/include/plugin.h

=== src/client/plugins/mod_admin/Makefile ===
## Makefile for Olympus Plugin mod_admin
##
## Copyright (c) 2000 Mount Linux Inc.
## Licensed under the terms of the GPL

include ../../../Make.rules

OBJECTS = mod_admin.o editBoxes.o
OBJSMOC = moc_mod_admin.o moc_editBoxes.o
SRCSMOC = $(OBJSMOC:%.o=%.cc)
CPPFLAGS= $(G_CPPFLAGS) -I../../include -I../../netmessages/include \
          -I../../../common/include -I../../../common/crypto/include \
          -I../../../common/GNU/dlc -I../../../common/GNU/regexx \
          $(QT_INCLUDES)
CXXFLAGS= $(G_CXXFLAGS) -s -O2 -fPIC
DEFS    = $(G_DEFS)
LDFLAGS = -shared -Xlinker -E
TARGET  = mod_admin.so

.PHONY: all all-recursive clean clean-recursive distclean distclean-recursive \
        install install-recursive

## Build Targets
all: all-recursive

all-recursive: $(TARGET)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -o $@ $<

moc: $(SRCSMOC)

$(TARGET): $(SRCSMOC) $(OBJSMOC) $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(OBJSMOC) $(LIBS)

## Installation Targets
install:
	@( cd .. && $(MAKE) $(MFLAGS) install )

install-recursive:
	$(INSTALL_MODULE) $(TARGET) $(DESTDIR)$(plugindir)/$(TARGET)

## Clean Targets
clean clean-recursive distclean-recursive:
	rm -f $(OBJECTS) $(SRCSMOC) $(OBJSMOC) $(TARGET)

distclean:
	@( cd .. && $(MAKE) $(MFLAGS) distclean )

## Qt Meta Object Code generated by moc
$(SRCSMOC): $(SRCSMOC:moc_%.cc=%.h)
	$(MOC) $(@:moc_%.cc=%.h) -o $@

## Dependencies
$(OBJECTS) $(OBJSMOC): ../Makefile ../../../Make.rules ../../../common/include/config.h

mod_admin.o: mod_admin.cc mod_admin.h ../../../common/include/netmessage.h
editBoxes.o: editBoxes.cc editBoxes.h

=== src/client/plugins/mod_inetd/Makefile ===
## Makefile for Olympus Plugin mod_inetd
##
## Copyright (c) 2000 Mount Linux Inc.
## Licensed under the terms of the GPL

include ../../../Make.rules

OBJECTS = mod_inetd.o mod_inetdwin.o mod_inetdslots.o mod_inetdParser.o mod_inetdListClass.o
OBJSMOC = moc_mod_inetdwin.o moc_mod_inetdlist.o
SRCSMOC = $(OBJSMOC:%.o=%.cc)
CPPFLAGS= $(G_CPPFLAGS) -I../../include -I../../netmessages/include \
          -I../../../common/include -I../../../common/crypto/include \
          -I../../../common/GNU/dlc -I../../../common/GNU/regexx $(QT_INCLUDES)
CXXFLAGS= $(G_CXXFLAGS) -s -O2
DEFS    = $(G_DEFS)
LDFLAGS = -shared -Xlinker -E
TARGET  = mod_inetd.so

.PHONY: all all-recursive clean clean-recursive distclean distclean-recursive \
        install install-recursive

## Build Targets
all: all-recursive

all-recursive: $(TARGET)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -fPIC -o $@ $<

moc: $(SRCSMOC)

$(TARGET): $(SRCSMOC) $(OBJSMOC) $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(OBJSMOC) $(LIBS)

## Installation Targets
install:
	@( cd .. && $(MAKE) $(MFLAGS) install )

install-recursive:
	$(INSTALL_MODULE) $(TARGET) $(DESTDIR)$(plugindir)/$(TARGET)

## Clean Targets
clean clean-recursive distclean-recursive:
	rm -f $(OBJECTS) $(SRCSMOC) $(OBJSMOC) $(TARGET)

distclean:
	@( cd .. && $(MAKE) $(MFLAGS) distclean )

## Qt Meta Object Code generated by moc
$(SRCSMOC): $(SRCSMOC:moc_%.cc=include/%.h)
	$(MOC) $(@:moc_%.cc=include/%.h) -o $@

## Dependencies
$(OBJECTS) $(OBJSMOC): ../Makefile ../../../Make.rules ../../../common/include/config.h

mod_inetd.o: include/mod_inetd.h include/mod_inetdwin.h mod_inetd.cc ../../../common/include/netmessage.h
mod_inetdwin.o: include/mod_inetdwin.h include/mod_inetdlist.h mod_inetdwin.cc
mod_inetdslots.o: include/mod_inetdwin.h mod_inetdslots.cc ../../../common/include/netmessage.h
mod_inetdParser.o: include/mod_inetdwin.h mod_inetdParser.cc
mod_inetdListClass.o: include/mod_inetdlist.h mod_inetdListClass.cc

=== src/client/plugins/mod_observer/Makefile ===
## Makefile for Olympus Plugin mod_observer
##
## Copyright (c) 2000 Mount Linux Inc.
## Licensed under the terms of the GPL

include ../../../Make.rules

OBJECTS = mod_observer.o ../../widgets/EQDisplay/EQBar.o ../../widgets/EQDisplay/EQDisplay.o
OBJSMOC = moc_mod_observer.o
SRCSMOC = $(OBJSMOC:%.o=%.cc)
CPPFLAGS= $(G_CPPFLAGS) -I../../include -I../../netmessages/include \
          -I../../../common/include -I../../../common/crypto/include \
          -I../../../common/GNU/dlc -I../../../common/GNU/regexx \
          $(QT_INCLUDES) -I../../widgets/EQDisplay
CXXFLAGS= $(G_CXXFLAGS) -g -fPIC
DEFS    = $(G_DEFS)
LDFLAGS = -shared -Xlinker -E
TARGET  = mod_observer.so

.PHONY: all all-recursive clean clean-recursive distclean distclean-recursive \
        install install-recursive

## Build Targets
all: all-recursive

all-recursive: $(TARGET)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -o $@ $<

moc: $(SRCSMOC)

$(TARGET): $(SRCSMOC) $(OBJSMOC) $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(OBJSMOC) $(LIBS)

## Installation Targets
install:
	@( cd .. && $(MAKE) $(MFLAGS) install )

install-recursive:
	$(INSTALL_MODULE) $(TARGET) $(DESTDIR)$(plugindir)/$(TARGET)

## Clean Targets
clean clean-recursive distclean-recursive:
	rm -f $(OBJECTS) $(SRCSMOC) $(OBJSMOC) $(TARGET)

distclean:
	@( cd .. && $(MAKE) $(MFLAGS) distclean )

## Qt Meta Object Code generated by moc
$(SRCSMOC): $(SRCSMOC:moc_%.cc=%.h)
	$(MOC) $(@:moc_%.cc=%.h) -o $@

## Dependencies
$(OBJECTS) $(OBJSMOC): ../Makefile ../../../Make.rules ../../../common/include/config.h

mod_observer.o: mod_observer.cc mod_observer.h ../../../common/include/netmessage.h

=== src/client/plugins/mod_software/Makefile ===
## Makefile for Olympus Plugin mod_software
##
## Copyright (c) 2000 Mount Linux Inc.
## Licensed under the terms of the GPL

include ../../../Make.rules

OBJECTS = mod_software.o mod_softwarewin.o mod_swDisplay.o
OBJSMOC = moc_mod_softwarewin.o moc_mod_swDisplay.o
SRCSMOC = $(OBJSMOC:%.o=%.cc)
CPPFLAGS= $(G_CPPFLAGS) -I. -I../../include \
          -I../../netmessages/include \
          -I../../../common/crypto/include \
          -I../../../common/include -I../../../common/GNU/dlc \
          -I../../../common/GNU/regexx $(QT_INCLUDES)
CXXFLAGS= $(G_CXXFLAGS) -s -O2
DEFS    = $(G_DEFS)
LDFLAGS = -fPIC -shared -Xlinker -E
TARGET  = mod_software.so

.PHONY: all all-recursive clean clean-recursive distclean distclean-recursive \
        install install-recursive

## Build Targets
all: all-recursive

all-recursive: $(TARGET)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(CXXFLAGS) -fPIC -o $@ $<

moc: $(SRCSMOC)

$(TARGET): $(SRCSMOC) $(OBJSMOC) $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(OBJSMOC) $(LIBS)

## Installation Targets
install:
	@( cd .. && $(MAKE) $(MFLAGS) install )

install-recursive:
	$(INSTALL_MODULE) $(TARGET) $(DESTDIR)$(plugindir)/$(TARGET)

## Clean Targets
clean clean-recursive distclean-recursive:
	rm -f $(OBJECTS) $(SRCSMOC) $(OBJSMOC) $(TARGET)

distclean:
	@( cd .. && $(MAKE) $(MFLAGS) distclean )

## Qt Meta Object Code generated by moc
$(SRCSMOC): $(SRCSMOC:moc_%.cc=%.h)
	$(MOC) $(@:moc_%.cc=%.h) -o $@

## Dependencies
$(OBJECTS) $(OBJSMOC): ../Makefile ../../../Make.rules ../../../common/include/config.h

mod_software.o: mod_software.cc mod_software.h mod_softwarewin.h ../../../common/include/netmessage.h ../../netmessages/include/nmSourceBuild.h ../../netmessages/include/nmSourceConfig.h ../../netmessages/include/nmSourceExpand.h ../../netmessages/include/nmSourceList.h
mod_softwarewin.o: mod_softwarewin.cc mod_softwarewin.h ../../../common/include/netmessage.h ../../netmessages/include/nmSourceBuild.h ../../netmessages/include/nmSourceConfig.h ../../netmessages/include/nmSourceExpand.h ../../netmessages/include/nmSourceList.h
mod_swDisplay.o: mod_swDisplay.cc mod_swDisplay.h

=== debian/changelog ===
olympus (0.3.5-2) unstable; urgency=low

  * Made small change to init script so that it handles the server pidfile
  * Server postrm now removes etc dir if it's empty

 -- Mike Markley <mike@markley.org>  Tue,  6 Jun 2000 18:06:13 -0700

olympus (0.3.5-1) unstable; urgency=low

  * New source version
  * Various bugfixes

 -- Mike Markley <mike@markley.org>  Mon,  5 Jun 2000 14:17:57 -0700

olympus (0.3-2) unstable; urgency=low

  * Sample config files needed conffiles entries
  * Moved sysconfdir to /etc/olympus

 -- Mike Markley <mike@markley.org>  Mon,  5 Jun 2000 14:17:12 -0700

olympus (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Mike Markley <mike@markley.org>  Tue,  9 May 2000 15:09:42 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: olympus
Section: admin
Priority: optional
Build-Depends: autoconf, automake, libqt2-dev
Maintainer: Mike Markley <mike@markley.org>
Standards-Version: 3.0.1

Package: olympus-client
Architecture: any
Depends: ${shlibs:Depends}
Description: Remote configuration & management
 This package contains the Mount Linux Olympus client and plugins.
 .
 Mount Linux Olympus is a GPL'd Open Framework for central, remote
 configuration and maintenance of Linux systems. Using encrypted network
 tunnels for security and a software plugin model for flexibility, it's
 aim is to provide an unprecedented level of usability. By lowering the
 learning curve necessary to use and configure Linux properly, it will
 make Linux a very real option for the average user. Mount Linux Olympus
 provides a simple, clear and consistent graphical user interface to
 even the most complex of system configuration tasks, from setting up
 a network connection to maintaining a complex web server to installing
 new end-user software.

Package: olympus-server
Architecture: any
Depends: ${shlibs:Depends}
Description: Remote configuration & management
 This is the server daemon for Mount Linux Olympus.
 .
 Mount Linux Olympus is a GPL'd Open Framework for central, remote
 configuration and maintenance of Linux systems. Using encrypted network
 tunnels for security and a software plugin model for flexibility, it's
 aim is to provide an unprecedented level of usability. By lowering the
 learning curve necessary to use and configure Linux properly, it will
 make Linux a very real option for the average user. Mount Linux Olympus
 provides a simple, clear and consistent graphical user interface to
 even the most complex of system configuration tasks, from setting up
 a network connection to maintaining a complex web server to installing
 new end-user software.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	./autogen.sh --prefix=/usr/lib/olympus --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc/olympus
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean configure

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_movefiles
	rmdir `pwd`/debian/tmp/etc/olympus


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installinit --init-script=olympusd
	dh_installmanpages
	dh_undocumented
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
